hwy::detail::Relations< float > Struct Reference

`#include <base.h>`

## Public Types

enum | { is_signed = 1 , is_float = 1 }
using | Unsigned = uint32_t
using | Signed = int32_t
using | Float = float
using | Wide = double
using | Narrow = float16_t

## Member Typedef Documentation

## Float

using hwy::detail::Relations< float >::Float = float

## Narrow

using hwy::detail::Relations< float >::Narrow = float16_t

## Signed

using hwy::detail::Relations< float >::Signed = int32_t

## Unsigned

using hwy::detail::Relations< float >::Unsigned = uint32_t

## Wide

using hwy::detail::Relations< float >::Wide = double

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
is_signed |
is_float |

The documentation for this struct was generated from the following file:

- base.h